| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Namespaces | Typedefs | Functions
cv::gapi::core Namespace Reference

This namespace contains G-API Operation Types for OpenCV Core module functionality. More...

## Namespaces
namespace | cpu
namespace | fluid
namespace | gpu
namespace | ocl
namespace | plaidml

## Typedefs
using | GMat2 = std::tuple<GMat,GMat>
using | GMat3 = std::tuple<GMat,GMat,GMat>
using | GMat4 = std::tuple<GMat,GMat,GMat,GMat>
using | GMatScalar = std::tuple<GMat, GScalar>
using | GResize = cv::gapi::imgproc::GResize
using | GResizeP = cv::gapi::imgproc::GResizeP

## Functions
| G_TYPED_KERNEL (GAbsDiff,< GMat(GMat, GMat)>, "org.opencv.core.matrixop.absdiff")
| G_TYPED_KERNEL (GAbsDiffC,< GMat(GMat, GScalar)>, "org.opencv.core.matrixop.absdiffC")
| G_TYPED_KERNEL (GAdd,< GMat(GMat, GMat, int)>, "org.opencv.core.math.add")
| G_TYPED_KERNEL (GAddC,< GMat(GMat, GScalar, int)>, "org.opencv.core.math.addC")
| G_TYPED_KERNEL (GAddW,< GMat(GMat, double, GMat, double, double, int)>, "org.opencv.core.matrixop.addweighted")
| G_TYPED_KERNEL (GAnd,< GMat(GMat, GMat)>, "org.opencv.core.pixelwise.bitwise_and")
| G_TYPED_KERNEL (GAndS,< GMat(GMat, GScalar)>, "org.opencv.core.pixelwise.bitwise_andS")
| G_TYPED_KERNEL (GCmpEQ,< GMat(GMat, GMat)>, "org.opencv.core.pixelwise.compare.cmpEQ")
| G_TYPED_KERNEL (GCmpEQScalar,< GMat(GMat, GScalar)>, "org.opencv.core.pixelwise.compare.cmpEQScalar")
| G_TYPED_KERNEL (GCmpGE,< GMat(GMat, GMat)>, "org.opencv.core.pixelwise.compare.cmpGE")
| G_TYPED_KERNEL (GCmpGEScalar,< GMat(GMat, GScalar)>, "org.opencv.core.pixelwise.compare.cmpGEScalar")
| G_TYPED_KERNEL (GCmpGT,< GMat(GMat, GMat)>, "org.opencv.core.pixelwise.compare.cmpGT")
| G_TYPED_KERNEL (GCmpGTScalar,< GMat(GMat, GScalar)>, "org.opencv.core.pixelwise.compare.cmpGTScalar")
| G_TYPED_KERNEL (GCmpLE,< GMat(GMat, GMat)>, "org.opencv.core.pixelwise.compare.cmpLE")
| G_TYPED_KERNEL (GCmpLEScalar,< GMat(GMat, GScalar)>, "org.opencv.core.pixelwise.compare.cmpLEScalar")
| G_TYPED_KERNEL (GCmpLT,< GMat(GMat, GMat)>, "org.opencv.core.pixelwise.compare.cmpLT")
| G_TYPED_KERNEL (GCmpLTScalar,< GMat(GMat, GScalar)>, "org.opencv.core.pixelwise.compare.cmpLTScalar")
| G_TYPED_KERNEL (GCmpNE,< GMat(GMat, GMat)>, "org.opencv.core.pixelwise.compare.cmpNE")
| G_TYPED_KERNEL (GCmpNEScalar,< GMat(GMat, GScalar)>, "org.opencv.core.pixelwise.compare.cmpNEScalar")
| G_TYPED_KERNEL (GConcatHor,< GMat(GMat, GMat)>, "org.opencv.imgproc.transform.concatHor")
| G_TYPED_KERNEL (GConcatVert,< GMat(GMat, GMat)>, "org.opencv.imgproc.transform.concatVert")
| G_TYPED_KERNEL (GConvertTo,< GMat(GMat, int, double, double)>, "org.opencv.core.transform.convertTo")
| G_TYPED_KERNEL (GCountNonZero,< GOpaque< int >(GMat)>, "org.opencv.core.matrixop.countNonZero")
| G_TYPED_KERNEL (GCrop,< GMat(GMat, Rect)>, "org.opencv.core.transform.crop")
| G_TYPED_KERNEL (GDiv,< GMat(GMat, GMat, double, int)>, "org.opencv.core.math.div")
| G_TYPED_KERNEL (GDivC,< GMat(GMat, GScalar, double, int)>, "org.opencv.core.math.divC")
| G_TYPED_KERNEL (GDivRC,< GMat(GScalar, GMat, double, int)>, "org.opencv.core.math.divRC")
| G_TYPED_KERNEL (GFlip,< GMat(GMat, int)>, "org.opencv.core.transform.flip")
| G_TYPED_KERNEL (GInRange,< GMat(GMat, GScalar, GScalar)>, "org.opencv.core.matrixop.inrange")
| G_TYPED_KERNEL (GKMeans2D,< std::tuple< GOpaque< double >, GArray< int >, GArray< Point2f > >(GArray< Point2f >, int, GArray< int >, TermCriteria, int, KmeansFlags)>, "org.opencv.core.kmeans2D")
| G_TYPED_KERNEL (GKMeans3D,< std::tuple< GOpaque< double >, GArray< int >, GArray< Point3f > >(GArray< Point3f >, int, GArray< int >, TermCriteria, int, KmeansFlags)>, "org.opencv.core.kmeans3D")
| G_TYPED_KERNEL (GKMeansND,< std::tuple< GOpaque< double >, GMat, GMat >(GMat, int, GMat, TermCriteria, int, KmeansFlags)>, "org.opencv.core.kmeansND")
| G_TYPED_KERNEL (GKMeansNDNoInit,< std::tuple< GOpaque< double >, GMat, GMat >(GMat, int, TermCriteria, int, KmeansFlags)>, "org.opencv.core.kmeansNDNoInit")
| G_TYPED_KERNEL (GLUT,< GMat(GMat, Mat)>, "org.opencv.core.transform.LUT")
| G_TYPED_KERNEL (GMask,< GMat(GMat, GMat)>, "org.opencv.core.pixelwise.mask")
| G_TYPED_KERNEL (GMax,< GMat(GMat, GMat)>, "org.opencv.core.matrixop.max")
| G_TYPED_KERNEL (GMean,< GScalar(GMat)>, "org.opencv.core.math.mean")
| G_TYPED_KERNEL (GMerge3,< GMat(GMat, GMat, GMat)>, "org.opencv.core.transform.merge3")
| G_TYPED_KERNEL (GMerge4,< GMat(GMat, GMat, GMat, GMat)>, "org.opencv.core.transform.merge4")
| G_TYPED_KERNEL (GMin,< GMat(GMat, GMat)>, "org.opencv.core.matrixop.min")
| G_TYPED_KERNEL (GMul,< GMat(GMat, GMat, double, int)>, "org.opencv.core.math.mul")
| G_TYPED_KERNEL (GMulC,< GMat(GMat, GScalar, int)>, "org.opencv.core.math.mulC")
| G_TYPED_KERNEL (GMulCOld,< GMat(GMat, double, int)>, "org.opencv.core.math.mulCOld")
| G_TYPED_KERNEL (GMulS,< GMat(GMat, GScalar)>, "org.opencv.core.math.muls")
| G_TYPED_KERNEL (GNormalize,< GMat(GMat, double, double, int, int)>, "org.opencv.core.normalize")
| G_TYPED_KERNEL (GNormInf,< GScalar(GMat)>, "org.opencv.core.matrixop.norminf")
| G_TYPED_KERNEL (GNormL1,< GScalar(GMat)>, "org.opencv.core.matrixop.norml1")
| G_TYPED_KERNEL (GNormL2,< GScalar(GMat)>, "org.opencv.core.matrixop.norml2")
| G_TYPED_KERNEL (GNot,< GMat(GMat)>, "org.opencv.core.pixelwise.bitwise_not")
| G_TYPED_KERNEL (GOr,< GMat(GMat, GMat)>, "org.opencv.core.pixelwise.bitwise_or")
| G_TYPED_KERNEL (GOrS,< GMat(GMat, GScalar)>, "org.opencv.core.pixelwise.bitwise_orS")
| G_TYPED_KERNEL (GPhase,< GMat(GMat, GMat, bool)>, "org.opencv.core.math.phase")
| G_TYPED_KERNEL (GRemap,< GMat(GMat, Mat, Mat, int, int, Scalar)>, "org.opencv.core.transform.remap")
| G_TYPED_KERNEL (GSelect,< GMat(GMat, GMat, GMat)>, "org.opencv.core.pixelwise.select")
| G_TYPED_KERNEL (GSqrt,< GMat(GMat)>, "org.opencv.core.math.sqrt")
| G_TYPED_KERNEL (GSub,< GMat(GMat, GMat, int)>, "org.opencv.core.math.sub")
| G_TYPED_KERNEL (GSubC,< GMat(GMat, GScalar, int)>, "org.opencv.core.math.subC")
| G_TYPED_KERNEL (GSubRC,< GMat(GScalar, GMat, int)>, "org.opencv.core.math.subRC")
| G_TYPED_KERNEL (GSum,< GScalar(GMat)>, "org.opencv.core.matrixop.sum")
| G_TYPED_KERNEL (GThreshold,< GMat(GMat, GScalar, GScalar, int)>, "org.opencv.core.matrixop.threshold")
| G_TYPED_KERNEL (GTranspose,< GMat(GMat)>, "org.opencv.core.transpose")
| G_TYPED_KERNEL (GWarpAffine,< GMat(GMat, const Mat &, Size, int, int, const cv::Scalar &)>, "org.opencv.core.warpAffine")
| G_TYPED_KERNEL (GWarpPerspective,< GMat(GMat, const Mat &, Size, int, int, const cv::Scalar &)>, "org.opencv.core.warpPerspective")
| G_TYPED_KERNEL (GXor,< GMat(GMat, GMat)>, "org.opencv.core.pixelwise.bitwise_xor")
| G_TYPED_KERNEL (GXorS,< GMat(GMat, GScalar)>, "org.opencv.core.pixelwise.bitwise_xorS")
| G_TYPED_KERNEL_M (GCartToPolar,< GMat2(GMat, GMat, bool)>, "org.opencv.core.math.cartToPolar")
| G_TYPED_KERNEL_M (GIntegral,< GMat2(GMat, int, int)>, "org.opencv.core.matrixop.integral")
| G_TYPED_KERNEL_M (GPolarToCart,< GMat2(GMat, GMat, bool)>, "org.opencv.core.math.polarToCart")
| G_TYPED_KERNEL_M (GSplit3,< GMat3(GMat)>, "org.opencv.core.transform.split3")
| G_TYPED_KERNEL_M (GSplit4,< GMat4(GMat)>,"org.opencv.core.transform.split4")
| G_TYPED_KERNEL_M (GThresholdOT,< GMatScalar(GMat, GScalar, int)>, "org.opencv.core.matrixop.thresholdOT")

## Detailed Description

This namespace contains G-API Operation Types for OpenCV Core module functionality.

## Typedef Documentation

## ◆ GMat2

using cv::gapi::core::GMat2 = std::tuple<GMat,GMat>

## ◆ GMat3

using cv::gapi::core::GMat3 = std::tuple<GMat,GMat,GMat>

## ◆ GMat4

using cv::gapi::core::GMat4 = std::tuple<GMat,GMat,GMat,GMat>

## ◆ GMatScalar

using cv::gapi::core::GMatScalar = std::tuple<GMat, GScalar>

## ◆ GResize

using cv::gapi::core::GResize = cv::gapi::imgproc::GResize

## ◆ GResizeP

using cv::gapi::core::GResizeP = cv::gapi::imgproc::GResizeP

## Function Documentation

## ◆ G_TYPED_KERNEL() [1/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GAbsDiff | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.matrixop.absdiff" | )

## ◆ G_TYPED_KERNEL() [2/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GAbsDiffC | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.matrixop.absdiffC" | )

## ◆ G_TYPED_KERNEL() [3/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GAdd | ,
|  | < GMat(GMat, GMat, int)> | ,
|  | "org.opencv.core.math.add" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [4/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GAddC | ,
|  | < GMat(GMat, GScalar, int)> | ,
|  | "org.opencv.core.math.addC" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [5/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GAddW | ,
|  | < GMat(GMat, double, GMat, double, double, int)> | ,
|  | "org.opencv.core.matrixop.addweighted" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [6/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GAnd | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.bitwise_and" | )

## ◆ G_TYPED_KERNEL() [7/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GAndS | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.pixelwise.bitwise_andS" | )

## ◆ G_TYPED_KERNEL() [8/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpEQ | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpEQ" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [9/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpEQScalar | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpEQScalar" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [10/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpGE | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpGE" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [11/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpGEScalar | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpGEScalar" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [12/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpGT | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpGT" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [13/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpGTScalar | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpGTScalar" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [14/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpLE | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpLE" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [15/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpLEScalar | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpLEScalar" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [16/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpLT | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpLT" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [17/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpLTScalar | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpLTScalar" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [18/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpNE | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpNE" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [19/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpNEScalar | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpNEScalar" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [20/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GConcatHor | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.imgproc.transform.concatHor" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [21/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GConcatVert | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.imgproc.transform.concatVert" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [22/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GConvertTo | ,
|  | < GMat(GMat, int, double, double)> | ,
|  | "org.opencv.core.transform.convertTo" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [23/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GCountNonZero | ,
|  | < GOpaque< int >(GMat)> | ,
|  | "org.opencv.core.matrixop.countNonZero" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [24/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GCrop | ,
|  | < GMat(GMat, Rect)> | ,
|  | "org.opencv.core.transform.crop" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [25/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GDiv | ,
|  | < GMat(GMat, GMat, double, int)> | ,
|  | "org.opencv.core.math.div" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [26/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GDivC | ,
|  | < GMat(GMat, GScalar, double, int)> | ,
|  | "org.opencv.core.math.divC" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [27/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GDivRC | ,
|  | < GMat(GScalar, GMat, double, int)> | ,
|  | "org.opencv.core.math.divRC" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [28/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GFlip | ,
|  | < GMat(GMat, int)> | ,
|  | "org.opencv.core.transform.flip" | )

## ◆ G_TYPED_KERNEL() [29/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GInRange | ,
|  | < GMat(GMat, GScalar, GScalar)> | ,
|  | "org.opencv.core.matrixop.inrange" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [30/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GKMeans2D | ,
|  | < std::tuple< GOpaque< double >, GArray< int >, GArray< Point2f > >(GArray< Point2f >, int, GArray< int >, TermCriteria, int, KmeansFlags)> | ,
|  | "org.opencv.core.kmeans2D" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [31/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GKMeans3D | ,
|  | < std::tuple< GOpaque< double >, GArray< int >, GArray< Point3f > >(GArray< Point3f >, int, GArray< int >, TermCriteria, int, KmeansFlags)> | ,
|  | "org.opencv.core.kmeans3D" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [32/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GKMeansND | ,
|  | < std::tuple< GOpaque< double >, GMat, GMat >(GMat, int, GMat, TermCriteria, int, KmeansFlags)> | ,
|  | "org.opencv.core.kmeansND" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [33/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GKMeansNDNoInit | ,
|  | < std::tuple< GOpaque< double >, GMat, GMat >(GMat, int, TermCriteria, int, KmeansFlags)> | ,
|  | "org.opencv.core.kmeansNDNoInit" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [34/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GLUT | ,
|  | < GMat(GMat, Mat)> | ,
|  | "org.opencv.core.transform.LUT" | )

## ◆ G_TYPED_KERNEL() [35/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GMask | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.mask" | )

## ◆ G_TYPED_KERNEL() [36/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GMax | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.matrixop.max" | )

## ◆ G_TYPED_KERNEL() [37/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GMean | ,
|  | < GScalar(GMat)> | ,
|  | "org.opencv.core.math.mean" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [38/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GMerge3 | ,
|  | < GMat(GMat, GMat, GMat)> | ,
|  | "org.opencv.core.transform.merge3" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [39/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GMerge4 | ,
|  | < GMat(GMat, GMat, GMat, GMat)> | ,
|  | "org.opencv.core.transform.merge4" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [40/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GMin | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.matrixop.min" | )

## ◆ G_TYPED_KERNEL() [41/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GMul | ,
|  | < GMat(GMat, GMat, double, int)> | ,
|  | "org.opencv.core.math.mul" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [42/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GMulC | ,
|  | < GMat(GMat, GScalar, int)> | ,
|  | "org.opencv.core.math.mulC" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [43/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GMulCOld | ,
|  | < GMat(GMat, double, int)> | ,
|  | "org.opencv.core.math.mulCOld" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [44/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GMulS | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.math.muls" | )

## ◆ G_TYPED_KERNEL() [45/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GNormalize | ,
|  | < GMat(GMat, double, double, int, int)> | ,
|  | "org.opencv.core.normalize" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [46/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GNormInf | ,
|  | < GScalar(GMat)> | ,
|  | "org.opencv.core.matrixop.norminf" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [47/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GNormL1 | ,
|  | < GScalar(GMat)> | ,
|  | "org.opencv.core.matrixop.norml1" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [48/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GNormL2 | ,
|  | < GScalar(GMat)> | ,
|  | "org.opencv.core.matrixop.norml2" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [49/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GNot | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.core.pixelwise.bitwise_not" | )

## ◆ G_TYPED_KERNEL() [50/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GOr | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.bitwise_or" | )

## ◆ G_TYPED_KERNEL() [51/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GOrS | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.pixelwise.bitwise_orS" | )

## ◆ G_TYPED_KERNEL() [52/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GPhase | ,
|  | < GMat(GMat, GMat, bool)> | ,
|  | "org.opencv.core.math.phase" | )

## ◆ G_TYPED_KERNEL() [53/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GRemap | ,
|  | < GMat(GMat, Mat, Mat, int, int, Scalar)> | ,
|  | "org.opencv.core.transform.remap" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [54/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GSelect | ,
|  | < GMat(GMat, GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.select" | )

## ◆ G_TYPED_KERNEL() [55/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GSqrt | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.core.math.sqrt" | )

## ◆ G_TYPED_KERNEL() [56/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GSub | ,
|  | < GMat(GMat, GMat, int)> | ,
|  | "org.opencv.core.math.sub" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [57/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GSubC | ,
|  | < GMat(GMat, GScalar, int)> | ,
|  | "org.opencv.core.math.subC" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [58/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GSubRC | ,
|  | < GMat(GScalar, GMat, int)> | ,
|  | "org.opencv.core.math.subRC" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [59/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GSum | ,
|  | < GScalar(GMat)> | ,
|  | "org.opencv.core.matrixop.sum" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [60/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GThreshold | ,
|  | < GMat(GMat, GScalar, GScalar, int)> | ,
|  | "org.opencv.core.matrixop.threshold" | )

## ◆ G_TYPED_KERNEL() [61/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GTranspose | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.core.transpose" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [62/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GWarpAffine | ,
|  | < GMat(GMat, const Mat &, Size, int, int, const cv::Scalar &)> | ,
|  | "org.opencv.core.warpAffine" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [63/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GWarpPerspective | ,
|  | < GMat(GMat, const Mat &, Size, int, int, const cv::Scalar &)> | ,
|  | "org.opencv.core.warpPerspective" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [64/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GXor | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.bitwise_xor" | )

## ◆ G_TYPED_KERNEL() [65/65]

cv::gapi::core::G_TYPED_KERNEL | ( | GXorS | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.pixelwise.bitwise_xorS" | )

## ◆ G_TYPED_KERNEL_M() [1/6]

cv::gapi::core::G_TYPED_KERNEL_M | ( | GCartToPolar | ,
|  | < GMat2(GMat, GMat, bool)> | ,
|  | "org.opencv.core.math.cartToPolar" | )

## ◆ G_TYPED_KERNEL_M() [2/6]

cv::gapi::core::G_TYPED_KERNEL_M | ( | GIntegral | ,
|  | < GMat2(GMat, int, int)> | ,
|  | "org.opencv.core.matrixop.integral" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL_M() [3/6]

cv::gapi::core::G_TYPED_KERNEL_M | ( | GPolarToCart | ,
|  | < GMat2(GMat, GMat, bool)> | ,
|  | "org.opencv.core.math.polarToCart" | )

## ◆ G_TYPED_KERNEL_M() [4/6]

cv::gapi::core::G_TYPED_KERNEL_M | ( | GSplit3 | ,
|  | < GMat3(GMat)> | ,
|  | "org.opencv.core.transform.split3" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL_M() [5/6]

cv::gapi::core::G_TYPED_KERNEL_M | ( | GSplit4 | ,
|  | < GMat4(GMat)> | ,
|  | "org.opencv.core.transform.split4" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL_M() [6/6]

cv::gapi::core::G_TYPED_KERNEL_M | ( | GThresholdOT | ,
|  | < GMatScalar(GMat, GScalar, int)> | ,
|  | "org.opencv.core.matrixop.thresholdOT" | )

Here is the call graph for this function: